
Redmine - Defect #32293

Redmine does not start if optional openid gems are not installed
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

At source:tags/4.0.4/Gemfile#L28, openid gems are stated as optional.

# Optional gem for OpenID authentication

group :openid do

  gem "ruby-openid", "~> 2.3.0", :require => "openid" 

  gem "rack-openid" 

end

 However, but Redmine fails to start with the error "LoadError: cannot load such file -- openid" if you skipped installing openid gems.

Steps to reproduce:

$ svn co https://svn.redmine.org/redmine/trunk redmine

$ cd redmine

$ vim config/database.yml  # configure config/database.yml

$ bundle install --without openid

$ bin/rake db:migrate

rake aborted!

LoadError: cannot load such file -- openid

/private/tmp/redmine/vendor/bundle/ruby/2.6.0/gems/activesupport-5.2.3/lib/active_support/dependen

cies.rb:291:in `require'

/private/tmp/redmine/vendor/bundle/ruby/2.6.0/gems/activesupport-5.2.3/lib/active_support/dependen

cies.rb:291:in `block in require'

/private/tmp/redmine/vendor/bundle/ruby/2.6.0/gems/activesupport-5.2.3/lib/active_support/dependen

cies.rb:257:in `load_dependency'

/private/tmp/redmine/vendor/bundle/ruby/2.6.0/gems/activesupport-5.2.3/lib/active_support/dependen

cies.rb:291:in `require'

/private/tmp/redmine/lib/plugins/open_id_authentication/lib/open_id_authentication.rb:2:in `<top (

required)>'

/private/tmp/redmine/vendor/bundle/ruby/2.6.0/gems/activesupport-5.2.3/lib/active_support/dependen

cies.rb:291:in `require'

/private/tmp/redmine/vendor/bundle/ruby/2.6.0/gems/activesupport-5.2.3/lib/active_support/dependen

cies.rb:291:in `block in require'

/private/tmp/redmine/vendor/bundle/ruby/2.6.0/gems/activesupport-5.2.3/lib/active_support/dependen

cies.rb:257:in `load_dependency'

/private/tmp/redmine/vendor/bundle/ruby/2.6.0/gems/activesupport-5.2.3/lib/active_support/dependen

cies.rb:291:in `require'

/private/tmp/redmine/lib/plugins/open_id_authentication/init.rb:7:in `block in <top (required)>'

/private/tmp/redmine/config/initializers/00-core_plugins.rb:14:in `eval'

/private/tmp/redmine/config/initializers/00-core_plugins.rb:14:in `block in <top (required)>'

/private/tmp/redmine/config/initializers/00-core_plugins.rb:4:in `each'

/private/tmp/redmine/config/initializers/00-core_plugins.rb:4:in `<top (required)>'
Related issues:

Related to Redmine - Feature #35755: Drop OpenID support Closed
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/4.0.4/Gemfile#L28


History

#1 - 2019-10-18 06:46 - Go MAEDA

- Description updated

#2 - 2019-10-18 09:00 - Mischa The Evil

- Status changed from New to Confirmed

This has been the case for many years in fact.

I once started work on this, fixed it but never got to posting the polished patch.

I am willing to see if I can lookup this branch if there really is interest in fixing this issue given that this hasn't been reported for so long.

#3 - 2019-10-18 09:16 - Go MAEDA

To be honest, I think it is better to drop OpenID support than fixing this issue. In my observation, OpenID is getting obsolete. Many services have

stopped being an OpenID provider.

#4 - 2019-10-18 09:23 - Marius BĂLTEANU

Go MAEDA wrote:

To be honest, I think it is better to drop OpenID support than fixing this issue. In my observation, OpenID is getting obsolete. Many services have

stopped being an OpenID provider.

 I agree with you.

#5 - 2019-10-20 06:52 - Mischa The Evil

I don't think that this low priority issue alone justifies dropping OpenID support in Redmine altogether. I think that is something that should be

discussed in a separate, dedicated issue.

#6 - 2021-09-05 09:32 - Go MAEDA

- Related to Feature #35755: Drop OpenID support added

#7 - 2021-12-14 01:12 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Wont fix

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
